Bug 487555 - initrd doesn't get static ip configuration from /proc/cmdline
initrd doesn't get static ip configuration from /proc/cmdline
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: mkinitrd (Show other bugs)
5.2
All Linux
low Severity medium
: rc
: ---
Assigned To: Brian Lane
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-26 12:45 EST by Brian J. Murrell
Modified: 2013-03-23 11:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-20 09:39:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian J. Murrell 2009-02-26 12:45:20 EST
After having looked through the source for mkinitrd, nash and libdhcp it seems I have only two options for configuring networking in the initrd (i.e. for nfsroot) which are either dhcp or static, however, with values for ip address, netmask, etc taken out of /etc/sysconfig/network-script/ifcfg-${device} on the machine that mkinitrd is run.

This limitation makes an initrd for use with static ip configuration non-portable.

Why not allow static networking parameters (and indeed, even the bootproto) to be specified on the commandline, like you can with anaconda?  Or maybe it can and I'm totally missing something here.
Comment 1 Brian J. Murrell 2009-02-26 13:00:17 EST
You know, and while we are at it, the nfs root should be taken off the /proc/cmdline if specified too, and if bootproto == dhcp, it should be taken out of the dhcp reply's next-server (iirc) if specified.

I guess ultimately as it is, this whole [mk]initrd is too rigid and needs some flexibility built in.
Comment 2 David Cantrell 2013-03-20 09:39:57 EDT
While Red Hat welcomes bug reports on Red Hat products here in our public
bugzilla database, please keep in mind that bugzilla is not a support tool or
means of accessing support.  If you would like technical support please visit
our support portal at access.redhat.com or call us for information on
subscription offerings to suit your needs.
Comment 3 Brian J. Murrell 2013-03-23 11:21:49 EDT
(In reply to comment #2)
> While Red Hat welcomes bug reports on Red Hat products here in our public
> bugzilla database, please keep in mind that bugzilla is not a support tool or
> means of accessing support.

Mr. Cantrell,

With all due respect, this ticket (filed almost 4 years ago without a single response since) was filed as a bug report and not a support request.  If you read the report more closely you can see there was no actual request for help but rather a description of a defect (IMHO) in the mkinitrd process.

To be clear, I do not need any "support" on this issue.  Indeed, I can hack up mkinitrd to do exactly what I want it to do, just fine.  But rather, sensing that perhaps I am not the only person with this issue, I decided to bring this defect to RH's attention.

> If you would like technical support please visit
> our support portal at access.redhat.com or call us for information on
> subscription offerings to suit your needs.

Yeah, no thanks.  As I said above, I am perfectly capable of supporting myself and solving my own issues.  Doing so and not sharing at least a description of the problem back upstream however, seems rather selfish, hence this report.

If you want to not consider this a defect, that is fine.  I just wanted to make it clear that this ticket was filed as a defect, not a support request.

Note You need to log in before you can comment on or make changes to this bug.